io.nayuki.deflate

## Class DataFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - io.nayuki.deflate.DataFormatException

All Implemented Interfaces:
  Serializable

    public final class DataFormatException
    extends IOException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DataFormatException(String msg)`
`DataFormatException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataFormatException

    public DataFormatException(String msg)

#### DataFormatException

    public DataFormatException(Throwable cause)